
Enduro/X Core - Bug #774

BFLD_PTR embedded fields shall be freed automatically when tpfree() is run on main buffer

04/30/2022 12:26 AM - Madars

Status: Closed Start date: 04/30/2022

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Currently memory leak is possible, if for example auto-buffer with BFLD_PTR fields is received and if service does not free in

recursive way embedded buffers, they become basically leaked.

History

#1 - 05/01/2022 10:39 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Release notes

tpfree() has been updated so that it traverses any embedded  BFLD_UBF or BFLD_PTR fields. It collects any XATMI buffer pointers and performs the

free.

If some of the BFLD_PTR fields shall be left in the system after the free (or free of automatic buffer), the value shall be set to NULL ptr prior the

tpfree() takes place.

Additionally added new env parameter NDRX_DEBUG_STR which allows to set debug configuration in the environment for process which is being

started.

Available from Enduro/X release 8.0.6+.

#2 - 05/03/2022 11:57 AM - Madars

- Status changed from Resolved to Closed
